Loading...
Searching...
No Matches
graph_set.c File Reference
`#include <string.h>`
`#include <stdlib.h>`
`#include <stdarg.h>`
`#include <time.h>`
`#include <math.h>`
`#include <unistd.h>`
`#include <grass/gis.h>`
`#include <grass/glocale.h>`
`#include "psdriver.h"`
Include dependency graph for psdriver/graph_set.c:

Go to the source code of this file.

## Macros

#define | DATE_FORMAT "%c"

## Functions

void | write_setup (void)
int | PS_Graph_set (void)
const char * | PS_Graph_get_file (void)
| Get render file.
void | output (const char *fmt,...)

## Variables

struct ps_state | ps

## Macro Definition Documentation

## DATE_FORMAT

#define DATE_FORMAT "%c"

Definition at line 24 of file psdriver/graph_set.c.

## Function Documentation

## output()

void output | ( | const char * | fmt,
|  |  | ... )

Definition at line 233 of file psdriver/graph_set.c.

References ps.

Referenced by cairo_write_bmp(), cairo_write_ppm(), G_check_input_output_name(), PS_Begin(), PS_begin_raster(), PS_Bitmap(), PS_Box(), PS_Close(), PS_Color(), PS_Cont(), PS_end_raster(), PS_Erase(), PS_Fill(), PS_Graph_close(), PS_Line_width(), PS_Move(), PS_Point(), PS_raster(), PS_Set_window(), PS_Stroke(), write_bmp(), write_pgm(), write_png(), write_ppm(), and write_setup().

## PS_Graph_get_file()

const char * PS_Graph_get_file | ( | void |  | ) |

Get render file.

Returns
  file name

Definition at line 228 of file psdriver/graph_set.c.

References ps.

Referenced by PS_Driver().

## PS_Graph_set()

int PS_Graph_set | ( | void |  | ) |

Definition at line 170 of file psdriver/graph_set.c.

References FILE_NAME, G_fatal_error(), G_rename_file(), G_strcasecmp(), G_tempfile(), G_verbose_message(), ps, screen_height, screen_width, and write_setup().

Referenced by PS_Driver().

## write_setup()

void write_setup | ( | void |  | ) |

Definition at line 95 of file psdriver/graph_set.c.

References output(), and ps.

Referenced by PS_Graph_set().

## Variable Documentation

## ps

struct ps_state ps

Definition at line 26 of file psdriver/graph_set.c.

Referenced by cminv(), csolv(), gs_get_prev_surface(), gs_init_surf(), minv(), output(), PS_begin_raster(), PS_Color(), PS_Erase(), PS_Graph_close(), PS_Graph_get_file(), PS_Graph_set(), PS_raster(), PS_Set_window(), smgen(), solv(), and write_setup().